From 6aa5e8f3abbf1b926fbfab8f8795dc213391dd19 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 25 2017 08:52:48 +0000
Subject: [PATCH 931/1001] Add a couple unit tests


---

diff --git a/hubs/tests/backend/test_triage.py b/hubs/tests/backend/test_triage.py
new file mode 100644
index 0000000..10d0794
--- /dev/null
+++ b/hubs/tests/backend/test_triage.py
@@ -0,0 +1,28 @@
+from __future__ import unicode_literals
+
+from hubs.app import app
+from hubs.backend import triage
+from hubs.models import Hub, Widget
+from hubs.tests import APPTest
+
+
+class TriageTest(APPTest):
+
+    def setUp(self):
+        super(TriageTest, self).setUp()
+        # Set the session
+        triage.session = self.session
+
+
+    def test_get_widgets(self):
+        # Get all widgets except those whose module isn't installed.
+        hub = Hub.by_name('ralph')
+        widget = Widget(
+            plugin='non-existant',
+            index=500,
+            _config="{}",
+            )
+        hub.widgets.append(widget)
+        module_names = [w.plugin for w in triage.get_widgets()]
+        self.assertNotIn("non-existant", module_names)
+        self.assertEqual(len(module_names), 59)
diff --git a/hubs/tests/test_models.py b/hubs/tests/test_models.py
index 175caa1..be7be21 100644
--- a/hubs/tests/test_models.py
+++ b/hubs/tests/test_models.py
@@ -229,3 +229,9 @@ class ModelTest(hubs.tests.APPTest):
         widget.visibility = "restricted"
         self.assertEqual(
             widget._get_auth_permission_name("view"), "widget.restricted.view")
+
+    def test_widget_enabled(self):
+        hub = hubs.models.Hub.get("ralph")
+        widget = hubs.models.Widget(hub=hub, plugin="does-not-exist")
+        self.session.add(widget)
+        self.assertFalse(widget.enabled)

